UNIT Carodem;

INTERFACE

USES
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, Menus, DrawnBtn;

{DEFINE HUNGARIAN}
TYPE
  TCaroDemForm = Class(TForm)
    Panel1: TPanel;
    CaroButton1: TCaroButton;
    Label1: TLabel;
    NArrowButton1: TNArrowButton;
    PopupMenu1: TPopupMenu;
    Exit1: TMenuItem;
    PROCEDURE FormCreate(Sender: TObject);
    PROCEDURE CaroButton1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    PROCEDURE FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    PROCEDURE CaroButton1Click(Sender: TObject);
    PROCEDURE NArrowButton1Click(Sender: TObject);
    PROCEDURE Exit1Click(Sender: TObject);
  PRIVATE
    { Private declarations }
  PUBLIC
    { Public declarations }
    PROCEDURE WinMsg (VAR Msg: TMsg; VAR Handled: Boolean);
  END;

VAR
  CaroDemForm: TCaroDemForm;

IMPLEMENTATION

{$R *.DFM}

PROCEDURE TCaroDemForm.FormCreate(Sender: TObject);
BEGIN
  Application.OnMessage:=WinMsg;
END;


PROCEDURE TCaroDemForm. WinMsg (VAR Msg: TMsg; VAR Handled: Boolean);
BEGIN
  CASE Msg. Message OF
    Wm_KeyDown:
               BEGIN
                 CASE  Msg. WParam OF
                   Vk_ESCAPE: PostMessage(Handle,WM_CLOSE,0,0);
                 END;
               END;
    END;
END;

PROCEDURE TCaroDemForm.CaroButton1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
BEGIN
Caption:=
{$IFDEF HUNGARIAN}
'A gomb most megnyomhat';
{$ELSE}
'Press me';
{$ENDIF}
END;

PROCEDURE TCaroDemForm.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
BEGIN
Caption:=
{$IFDEF HUNGARIAN}
'A gombok nem megnyomhatak';
{$ELSE}
'No Press';
{$ENDIF}

Label1.Caption:=
{$IFDEF HUNGARIAN}
'Megnyomtk mr valamelyik gombot?';
{$ELSE}
'Did You press any button ?';
{$ENDIF}
END;

PROCEDURE TCaroDemForm.CaroButton1Click(Sender: TObject);
BEGIN
 Label1.Caption:=
{$IFDEF HUNGARIAN}
 'A CaroButton -t megnyomtk';
{$ELSE}
 'CaroButton was pressed';
{$ENDIF}
END;

PROCEDURE TCaroDemForm.NArrowButton1Click(Sender: TObject);
BEGIN
 Label1.Caption:=
{$IFDEF HUNGARIAN}
 'Az NArrowButton -t megnyomtk';
{$ELSE}
 'NArrowButton was pressed';
{$ENDIF}
END;

PROCEDURE TCaroDemForm.Exit1Click(Sender: TObject);
BEGIN
Close;
END;

END.

